Get a service's monitor runs
Gets a list of scheduled monitor runs for a service that includes summary statistics.
Authentication
x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic
Basic authentication of the form Basic <base64(username:password)>.
Path parameters
serviceId
The service's ID.
Query parameters
systemEnvironmentId
The system environment's ID.
collectionId
Filter results to only the given collection ID's runs.
sort
Sort the results in field:direction order format. Accepts the timestamp, duration, and failedAssertions fields. Supports the asc and desc directions.
environmentId
Filter results to only the given environment ID runs.
status
Filter results by run status.
Allowed values:
limit
The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.
cursor
The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.
Response
Successful Response
meta
The response's meta information for paginated results.
data
A list of monitor runs.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error